Dear InstaForex clients,

Please note that starting from March 1, 2019, MetaTrader 4 desktop platforms older than build 1118 and MetaTrader 4 Android platforms older than build 1104 are not supported and therefore are not connected to trading servers.

Kindly update your trading platforms to the latest versions.

Back to news list


Other company news

Can't speak right now?
Ask your question in the chat.